{
  services.n8n = {
    enable = true;
    webhookUrl = "https://wf.m3tam3re.com";
  };

  systemd.services.n8n = {
    environment = {
      N8N_EDITOR_BASE_URL = "https://wf.m3tam3re.com";
      N8N_ENFORCE_SETTINGS_FILE_PERMISSIONS = "false";
    };
  };

  # Traefik configuration specific to n8n
  services.traefik.dynamicConfigOptions.http = {
    services.n8n.loadBalancer.servers = [
      {
        url = "http://localhost:5678/";
      }
    ];

    routers.n8n = {
      rule = "Host(`wf.m3tam3re.com`)";
      tls = {
        certResolver = "godaddy";
      };
      service = "n8n";
      entrypoints = "websecure";
    };
  };
}
